Package org.apache.storm.drpc

## Interface LinearDRPCInputDeclarer

- All Superinterfaces:
    `ComponentConfigurationDeclarer<LinearDRPCInputDeclarer>`, `ResourceDeclarer<LinearDRPCInputDeclarer>`

      public interface LinearDRPCInputDeclarer
      extends ComponentConfigurationDeclarer<LinearDRPCInputDeclarer>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LinearDRPCInputDeclarer` | `allGrouping()` |
    `LinearDRPCInputDeclarer` | `allGrouping​(String streamId)` |
    `LinearDRPCInputDeclarer` | `customGrouping​(String streamId, CustomStreamGrouping grouping)` |
    `LinearDRPCInputDeclarer` | `customGrouping​(CustomStreamGrouping grouping)` |
    `LinearDRPCInputDeclarer` | `directGrouping()` |
    `LinearDRPCInputDeclarer` | `directGrouping​(String streamId)` |
    `LinearDRPCInputDeclarer` | `fieldsGrouping​(String streamId, Fields fields)` |
    `LinearDRPCInputDeclarer` | `fieldsGrouping​(Fields fields)` |
    `LinearDRPCInputDeclarer` | `globalGrouping()` |
    `LinearDRPCInputDeclarer` | `globalGrouping​(String streamId)` |
    `LinearDRPCInputDeclarer` | `localOrShuffleGrouping()` |
    `LinearDRPCInputDeclarer` | `localOrShuffleGrouping​(String streamId)` |
    `LinearDRPCInputDeclarer` | `noneGrouping()` |
    `LinearDRPCInputDeclarer` | `noneGrouping​(String streamId)` |
    `LinearDRPCInputDeclarer` | `partialKeyGrouping​(String streamId, Fields fields)` |
    `LinearDRPCInputDeclarer` | `partialKeyGrouping​(Fields fields)` |
    `LinearDRPCInputDeclarer` | `shuffleGrouping()` |
    `LinearDRPCInputDeclarer` | `shuffleGrouping​(String streamId)` |

    - ### Methods inherited from interface org.apache.storm.topology.ComponentConfigurationDeclarer

      `addConfiguration, addConfigurations, addResource, addResources, getComponentConfiguration, setDebug, setMaxSpoutPending, setMaxTaskParallelism, setNumTasks`

    - ### Methods inherited from interface org.apache.storm.topology.ResourceDeclarer

      `addSharedMemory, setCPULoad, setMemoryLoad, setMemoryLoad`

- - ### Method Detail

    - #### fieldsGrouping

          LinearDRPCInputDeclarer fieldsGrouping​(Fields fields)

    - #### fieldsGrouping

          LinearDRPCInputDeclarer fieldsGrouping​(String streamId,
                                                 Fields fields)

    - #### globalGrouping

          LinearDRPCInputDeclarer globalGrouping()

    - #### globalGrouping

          LinearDRPCInputDeclarer globalGrouping​(String streamId)

    - #### shuffleGrouping

          LinearDRPCInputDeclarer shuffleGrouping()

    - #### shuffleGrouping

          LinearDRPCInputDeclarer shuffleGrouping​(String streamId)

    - #### localOrShuffleGrouping

          LinearDRPCInputDeclarer localOrShuffleGrouping()

    - #### localOrShuffleGrouping

          LinearDRPCInputDeclarer localOrShuffleGrouping​(String streamId)

    - #### noneGrouping

          LinearDRPCInputDeclarer noneGrouping()

    - #### noneGrouping

          LinearDRPCInputDeclarer noneGrouping​(String streamId)

    - #### allGrouping

          LinearDRPCInputDeclarer allGrouping()

    - #### allGrouping

          LinearDRPCInputDeclarer allGrouping​(String streamId)

    - #### directGrouping

          LinearDRPCInputDeclarer directGrouping()

    - #### directGrouping

          LinearDRPCInputDeclarer directGrouping​(String streamId)

    - #### partialKeyGrouping

          LinearDRPCInputDeclarer partialKeyGrouping​(Fields fields)

    - #### partialKeyGrouping

          LinearDRPCInputDeclarer partialKeyGrouping​(String streamId,
                                                     Fields fields)

    - #### customGrouping

          LinearDRPCInputDeclarer customGrouping​(CustomStreamGrouping grouping)

    - #### customGrouping

          LinearDRPCInputDeclarer customGrouping​(String streamId,
                                                 CustomStreamGrouping grouping)